using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.Ai.Quality;
using Hotline.Ai.Visit;
using Microsoft.Extensions.DependencyInjection;

namespace Hotline.Ai.Jths
{
	public static class AiJthsStartupExtensions
	{
		public static IServiceCollection AddAiJths(this IServiceCollection services, string baseUrl)
		{
			services.AddSingleton<IAiQualityService, AiQualityService>(_ => new AiQualityService(baseUrl));
			
			return services;
		}

		public static IServiceCollection AddAiVisitService(this IServiceCollection services,string baseUrl,string appkey,string serviceversion)
		{
			services.AddSingleton<IAiVisitService, AiVisitService>(_ => new AiVisitService(baseUrl, appkey, serviceversion));
			return services;
		}
	}
	//public class AiQualityConfig
	//{
	//	public string Url { get; set; }
	//}
}
